Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | List of all members
eZSysinfo Class Reference

## Static Public Member Functions
static | compat_array_keys ( $arr)
static | compat_in_array ( $value, $arr)
static | format_bytesize ( $kbytes, $dec_places=2)
static | vhostname ()
static | chostname ()
static | ip_addr ()
static | pcibus ()
static | idebus ()
static | scsibus ()
static | meminfo ()
static | netdevs ()
static | kernel ()
static | loadavg ()
static | uptime ()
static | users ()
static | cpu ()
static | fsinfo ()

## Detailed Description

! eZCommon The eZ sysinfo provides system information.

This class does currently only handle system information for Linux systems.

Definition at line 40 of file ezsysinfo.php.

## Member Function Documentation

## ◆ chostname()

static eZSysinfo::chostname | ( |  | ) |
| static

Returns the Cannonical machine hostname.

Definition at line 124 of file ezsysinfo.php.

References $fp, and $result.

Referenced by ip_addr().

## ◆ compat_array_keys()

static eZSysinfo::compat_array_keys | ( |  | $arr | ) |
| static

Function that emulate the compat_array_keys function of PHP4 for PHP3 compatability

Definition at line 47 of file ezsysinfo.php.

References $result.

Referenced by cpu().

## ◆ compat_in_array()

static eZSysinfo::compat_in_array | ( |  | $value,
|  |  | $arr
| ) |  |
| static

Function that emulates the compat_in_array function of PHP4 for PHP3 compatability

Definition at line 64 of file ezsysinfo.php.

Referenced by cpu().

## ◆ cpu()

static eZSysinfo::cpu | ( |  | ) |
| static

Returns an associative array containing all relevant info about the processors in the system.

Definition at line 472 of file ezsysinfo.php.

References $ar_buf, $results, compat_array_keys(), and compat_in_array().

## ◆ format_bytesize()

static eZSysinfo::format_bytesize | ( |  | $kbytes,
|  |  | $dec_places = `2`
| ) |  |
| static

A helper function, when passed a number representing KB, and optionally the number of decimal places required, it returns a formated number string, with unit identifier.

Definition at line 83 of file ezsysinfo.php.

References $result.

## ◆ fsinfo()

static eZSysinfo::fsinfo | ( |  | ) |
| static

Returns an array of associative arrays containing information on every mounted partition.

Definition at line 534 of file ezsysinfo.php.

References $ar_buf, $i, $results, and $type.

## ◆ idebus()

static eZSysinfo::idebus | ( |  | ) |
| static

Returns an array of all ide devices attached to the system, as determined by the aliased shortcuts in /proc/ide

Definition at line 196 of file ezsysinfo.php.

References $file, $results, and file_exists().

## ◆ ip_addr()

static eZSysinfo::ip_addr | ( |  | ) |
| static

Returns the IP address that the request was made on.

Definition at line 143 of file ezsysinfo.php.

References $result, and chostname().

## ◆ kernel()

static eZSysinfo::kernel | ( |  | ) |
| static

Returns a string equivilant to `uname --release`)

Definition at line 371 of file ezsysinfo.php.

References $ar_buf, and $result.

## ◆ loadavg()

static eZSysinfo::loadavg | ( |  | ) |
| static

Returns a 1x3 array of load avg's in standard order and format.

Definition at line 405 of file ezsysinfo.php.

References $results.

## ◆ meminfo()

static eZSysinfo::meminfo | ( |  | ) |
| static

Returns an associative array of two associative arrays, containg the memory statistics for RAM and swap

Definition at line 274 of file ezsysinfo.php.

References $ar_buf, and $results.

## ◆ netdevs()

static eZSysinfo::netdevs | ( |  | ) |
| static

Returns an array of all network devices and their tx/rx stats.

Definition at line 334 of file ezsysinfo.php.

References $results.

## ◆ pcibus()

static eZSysinfo::pcibus | ( |  | ) |
| static

Returns an array of all meaningful devices
on the PCI bus.

Definition at line 159 of file ezsysinfo.php.

References $results.

## ◆ scsibus()

static eZSysinfo::scsibus | ( |  | ) |
| static

Definition at line 235 of file ezsysinfo.php.

References $results, and file_exists().

## ◆ uptime()

static eZSysinfo::uptime | ( |  | ) |
| static

Returns a formatted english string, enumerating the uptime verbosely.

Definition at line 426 of file ezsysinfo.php.

References $ar_buf, and $result.

## ◆ users()

static eZSysinfo::users | ( |  | ) |
| static

Returns the number of users currently logged in.

Definition at line 459 of file ezsysinfo.php.

References $result.

## ◆ vhostname()

static eZSysinfo::vhostname | ( |  | ) |
| static

Returns the virtual hostname accessed.

Definition at line 109 of file ezsysinfo.php.

References $result.

The documentation for this class was generated from the following file:

- ezsysinfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.